## NAME

CURLOPT_PROXYTYPE - proxy protocol type

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PROXYTYPE, long type);

## DESCRIPTION

Pass a long with this option to set type of the proxy. Available options for this are CURLPROXY_HTTP, CURLPROXY_HTTP_1_0 CURLPROXY_SOCKS4, CURLPROXY_SOCKS5, CURLPROXY_SOCKS4A and CURLPROXY_SOCKS5_HOSTNAME. The HTTP type is default.

If you set CURLOPT_PROXYTYPE to CURLPROXY_HTTP_1_0, it will only affect how libcurl speaks to a proxy when CONNECT is used. The HTTP version used for "regular" HTTP requests is instead controlled with CURLOPT_HTTP_VERSION.

Often it is more convenient to specify the proxy type with the scheme part of the CURLOPT_PROXY string.

## DEFAULT

CURLPROXY_HTTP

## PROTOCOLS

Most

## EXAMPLE

TODO

## AVAILABILITY

Always

## RETURN VALUE

Returns CURLE_OK

## SEE ALSO

CURLOPT_PROXY, CURLOPT_PROXYPORT

This HTML page was made with roffit.